Loading...
Searching...
No Matches
L4::Icu::Info Class Reference

This class encapsulates information about an ICU. More...

`#include <irq>`

Inheritance diagram for L4::Icu::Info:
Collaboration diagram for L4::Icu::Info:

## Public Member Functions

bool | supports_msi () const noexcept
| True, if the ICU has support for MSIs.

## Additional Inherited Members

Data Fields inherited from l4_icu_info_t
unsigned | features
| Feature flags.
unsigned | nr_irqs
| The number of IRQ lines supported by the ICU,.
unsigned | nr_msis
| The number of MSI vectors supported by the ICU,.

## Detailed Description

This class encapsulates information about an ICU.

Definition at line 277 of file irq.

The documentation for this class was generated from the following file:

- l4/sys/irq